// ALFA1
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+psi1[jj]*fi1[jj]*(1/vv1)*dx*dy*dz;
	 jj=jj+1;
      }
	 forAll(A1,ii){
	 alfa1[ii]=sum;
	 }
	 Info<<"alfa1 "<<endl;
alfa1.write();	 
// ALFA2
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+psi2[jj]*fi2[jj]*(1/vv2)*dx*dy*dz;
	 jj=jj+1;
        }
	
	 forAll(A1,ii){
	 alfa2[ii]=sum;
	 }
	 Info<<"alfa2 "<<endl;
alfa2.write();	
// GAMMA1
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+psi1[jj]*(lap_dDD1_fi1[jj]+(dnisf1[jj]-ds1[jj])*fi1[jj]-nisf2[jj]*fi2[jj])*dx*dy*dz; 
	 jj=jj+1;
    }
    forAll(A1,ii){
	 gamma1[ii]=sum;
	 }
	Info<<"gamma1 "<<endl;
	gamma1.write();
// GAMMA2
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+psi2[jj]*(lap_dDD2_fi2[jj]-ds2[jj]*fi2[jj]-ss12[jj]*fi1[jj])*dx*dy*dz;
	  jj=jj+1;
      }
    forAll(A1,ii){
	 gamma2[ii]=sum;
	 }
	Info<<"gamma2 "<<endl;
	gamma2.write();	
// BETA1
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+psi1[jj]*fi2[jj]*(nisf2[jj]+dnisf2[jj])*dx*dy*dz;
	  jj=jj+1;
    }
    forAll(A1,ii){
	 beta1[ii]=sum;
	 }
	Info<<"beta1 "<<endl;
	beta1.write();
// BETA2
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
 	 sum=sum+psi2[jj]*fi1[jj]*(ss12[jj]+ds12[jj])*dx*dy*dz;
	 jj=jj+1;
    }
    forAll(A1,ii){
	 beta2[ii]=sum;
	 }
	Info<<"beta2 "<<endl;
	beta2.write();
scalar nisf1_fi1; scalar nisf2_fi2;
	
// NISF1_FI1
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+(nisf1[jj]*fi1[jj])*dx*dy*dz;
	 jj=jj+1;
    }
	Info<<"Nisf1_fi1 "<<endl;
    nisf1_fi1=sum;
	
// NISF2_FI2
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+(nisf2[jj]*fi2[jj])*dx*dy*dz;
	 jj=jj+1;
    }
	Info<<"Nisf2_fi2 "<<endl;
    nisf2_fi2=sum;
      
scalar AA0=nisf1_fi1+nisf2_fi2;
cout<<"AA0= "<<AA0;	

// NISF1_FI1
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+((nisf1[jj]+dnisf1[jj])*fi1[jj])*dx*dy*dz;
	 jj=jj+1;
    }
	Info<<"Nisf1_fi1 "<<endl;
    nisf1_fi1=sum;

// NISF1_FI2
jj=0; sum=0; kk=0; ii=0;
 while(jj<(nx*ny*nz)){ 
	 sum=sum+((nisf2[jj]+dnisf2[jj])*fi2[jj])*dx*dy*dz;
	 jj=jj+1;
    }
	Info<<"Nisf2_fi2 "<<endl;
    nisf2_fi2=sum;
    
